Bug 486430 - "Spacewalk Public Cert" should be "Spacewalk Default Organization"
"Spacewalk Public Cert" should be "Spacewalk Default Organization"
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Installation (Show other bugs)
0.4
All Linux
low Severity low
: ---
: ---
Assigned To: Michael Mráka
Red Hat Satellite QA List
:
Depends On:
Blocks: space09
  Show dependency treegraph
 
Reported: 2009-02-19 13:16 EST by Dave Parker
Modified: 2010-05-05 10:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 10:57:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Parker 2009-02-19 13:16:04 EST
Description of problem:

The phrase "Spacewalk Public Cert" as the name for the default/initial SW organization entity is a confusing conflation of terms:  Yes - there's a certificate behind the 'organization' notion, but conceptually the user should just be thinking in terms of the fact that this is an "organization".  The fact that there *is* a "cert" behind it isn't something the user needs to be particularly aware of.

It is confusing that when one does 'cobbler distro list' at the command line one you sees 'Spacewalk Public Cert' there as part of the name of each spacewalk-managed distribution.  In this case in particular the phrase really does not convey the concept it's supposed to represent properly at all.

It should be "Spacewalk Default Organization"

Version-Release number of selected component (if applicable):

0.4

How reproducible:

always


Steps to Reproduce:

1) Create a kickstart distribution
2) Go to the command line
3) type "cobbler distro list"
4) Observe

-or-

1) Log into spacewalk UI
2) Select Admin|Organizations
3) Observe


Actual results:

"Spacewalk Public Cert"

Expected results:

"Spacewalk Default Organization"
Comment 1 Dave Parker 2009-02-19 14:29:04 EST
(02/19/2009 11:23:33 AM) shughes: did that cert have any rhel5 channels in it? or just custom channels? 
(02/19/2009 11:23:41 AM) shughes: b/c if its custom you can actually sign it
(02/19/2009 11:23:50 AM) shughes: i can sign certs that have red hat channels in them
(02/19/2009 11:24:35 AM) ***shughes looks at cert
(02/19/2009 11:24:46 AM) dparker: I'll have to ask mccune on that - I'm still kind of new to rhn/spacewalk
(02/19/2009 11:25:51 AM) shughes: i think he might be referring to a red hat cert
(02/19/2009 11:26:14 AM) shughes: in which case i can sign those
(02/19/2009 11:26:16 AM) dparker: he said it doesn't have any rhel5 channels - just custom ones
(02/19/2009 11:27:04 AM) dparker: that being the case - how do I sign it?
(02/19/2009 11:27:34 AM) shughes: we have a wiki setup. i wrote a script that takes in a gpg key
(02/19/2009 11:27:49 AM) dparker: coo - you have an url?
(02/19/2009 11:28:00 AM) shughes: yeah...one sec
(02/19/2009 11:28:47 AM) shughes: https://fedorahosted.org/spacewalk/wiki/CertCreation
(02/19/2009 11:28:54 AM) dparker: thanks
Comment 5 Michael Mráka 2010-03-08 17:48:22 EST
Fixed in 
commit e823b65f4a285ba40d20841e854ffb2d1cc9b546
    486430 - changed organization name in default cert
Comment 6 Michael Mráka 2010-03-08 17:51:33 EST
Actually it's been rebased to
commit b14d5f7f0331567c2fdc5085f32c2fe67cdc6e40
    486430 - changed organization name in default cert

Built package spacewalk-branding-0.9.3-1.
Comment 7 Miroslav Suchý 2010-05-05 10:57:26 EDT
This bug has been fixed in Spacewalk 1.0.
Closing.

Note You need to log in before you can comment on or make changes to this bug.